Subject: Re: [PATCH 2/2] Make guilt work even after git-sh-setup is moved out of the user's path

From: "Josef 'Jeff' Sipek" <[email-masked]>
Date: Mon, 7 Jul 2008 21:28:29 -0400

On Mon, Jul 07, 2008 at 06:17:19PM -0700, Junio C Hamano wrote:
> "Josef 'Jeff' Sipek" <[email-masked]> writes:
> 
> > A fresh clone (from master.kernel.org over ssh) gets me:
> >
> > $ git describe
> > v1.5.6.2-247-g9237122
> > $ git --version
> > git version 1.5.6.GIT
> > $ git --exec-path
> > /home/jeffpc/git-bin/bin
> >
> > You seem to have a different HEAD for the master branch than I do.
> 
> Oh, my private 'master' almost always is ahead of the public one after
> work.
> 
> But I do not have any new changes around this area lately.  Promise ;-).

Heh.

Alright, mystery solved. I had a GIT_EXEC_PATH set. Removing it from my
bash_profile makes everything work just fine.

Sorry for the noise.

Jeff.

-- 
Penguin : Linux version 2.6.25.4 on an i386 machine (6135.77 BogoMips).